Subject: Re: Have I found the b17 C++ problem?
From: [email-masked] (Sean McNeil)

10 Dec 1996 10:11:10 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-Cc: [email-masked], [email-masked]
In-Reply-To: <[email-masked]> (message from Doug
	Evans on Mon, 9 Dec 1996 16: 36:37 -0800)
Original-Sender: [email-masked]

Doug,

>    The problem is that the Win32 PE format does only support section names
>    up to 8 characters 
> 
> Not true.  There is only room for 8 chars in the struct,
> but if there are more than 8 chars then "/number" is
> stored there which is an offset into the string table.

Regardless, I've found that the latest snapshot will not work with
the #define in config/i386/cygnus.h for *SECTION_NAME* (I'm not at
the correct machine at the moment for the exact name).  Once commented
out, I can build the snapshot.  The new exception stuff is broken
anyway.  There is also an optimization bug that I'm hoping gets fixed
soon.

The section name problem appears to be ld's fault as object files
appear to be OK and recognized by the linker with no problem.  It's
just that the executable won't work.

Sean
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".